/*	$Kolabore: dummy-os.cpp,v 1.14 2007/01/06 12:08:49 maxx Exp $	*/
/*
 * Copyright (c) CCYY YOUR NAME HERE <user@your.dom.ain>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * dummy-os.cpp:
 * Template source file for gathering statistics on a new operating system.
 * Used as a place-holder on operating systems that are not supported, yet.
 * See PORTING for details.
 */

/* log.h sets up a few things, check it out! */
#include "log.h"

extern "C" {
// C headers
}

// C++ headers

#include "dummy-os.h"

using namespace std;

/*
 * XSI Constructor
 *
 * !! WARNING !!
 * !! Runs before dropping privileges when running as root and must not fail -
 * !! use for initialization only.
 * !! WARNING !!
 */
XSI::XSI(void)
{
	// initialization
}

XSI::~XSI(void)
{
	// cleanup
}

/*
 * Information read once on startup
 */
void
XSI::collectSysInfo(void)
{
	// list of XSI methods
	system.setOSInfo(NULL, "not_supported", "not_available");
}

/*
 * Stats to be updated regularly
 */
void
XSI::updateStats(void)
{
	// list of XSI update-methods
}
